2

my project in visual studio needs Sitecore.EmailCampaign reference but I can not find its .dll file on the Internet.

So I'd like to know where and how to download Sitecore.EmailCampaign and than install it to Sitecore. I've heard that in order to add this reference, we have to attach Email Experience Manager (EXM) to our sitecore instance. I also tried to watch some Youtube videos but they do not show how to import EXM.

Here is what I've read before: https://doc.sitecore.net/email_experience_manager/getting_started_with_exm/email_campaigns/create_an_email_campaign

Link to download: https://dev.sitecore.net/Downloads/Email_Experience_Manager/Email_Experience_Manager_34/Email_Experience_Manager_34_Update2.aspx

But there are so many package for EXM, and we have to install what ? enter image description here

2

Its on the Sitecore Nuget server. Just reference Sitecore's nuget in your Visual Studio and pull it down.

enter image description here

Here is a direct link to the package for your review. https://sitecore.myget.org/feed/sc-packages/package/nuget/Sitecore.EmailCampaign

If you are unsure of how to add a custom nuget site to your visual studio, you have two options.

  1. Do it in Visual Studio's nuget settings.

  2. Do it via a Nuget.config. I like this best because it allows all my developers to have access with no effort. In the root of your project, create a new file called Nuget.config. In that config, add the XML below.

nuget.config

<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <packageSources>
    <add key="nuget.org" value="https://www.nuget.org/api/v2/" />
    <add key="sitecore" value="https://sitecore.myget.org/F/sc-packages/api/v3/index.json" />
  </packageSources>
</configuration>
  • I met this error: "Install-Package : Unable to find a version of 'Newtonsoft.Json' that is compatible with 'Sitecore.Analytics 8.2.170728 constraint: Newtonsoft.Json .." – Lee Dat Oct 24 '17 at 3:39
  • What version of Emailcampaign will be compatible with my sitecore platform version ? – Lee Dat Oct 24 '17 at 3:40
  • 3.5.17 requires Newtonsoft.Json (= 6.0.8) I am guessing you are on 9.0 or something? – Chris Auer Oct 24 '17 at 3:42
  • I use Sitecore 8.2 rev. 170728 (exe) – Lee Dat Oct 24 '17 at 3:45
  • 1
    Don't forget you can always use IgnoreDependencies using the GUI too (expand the options). – Steve McGill Oct 24 '17 at 14:19
1

What you are seeing are the packages for the Sitecore scaled environment.

In such environment depending on your Sitecore license, you need to install separate packages for analytics, reporting, CM and CD servers (In production environment, it is generally recommended to have different servers for Analytics, Reporting, Content Management and Delivery).

If you are currently working with instance where you don't have scaled environment, you just need to install the package Email Experience Manager 3.4.2 rev.170713.zip

You can then use package installation wizard to install EXM package. This will install all required dlls in your sitecore instance's bin folder.

With Regards to project references, Chris has already explained the best way to manage references. If you are not using nuget packages, check your Sitecore references folder path and you can manually copy Email.Campaign.dll in your references/Lib folder

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.